#!/bin/sh -x
# find path to executable, which varies depending if we are in production or running through Qt Creator

case "$PWD" in
  "/usr/lib/truefitness/truetouch")
  cd ../truetouch-browser || exit 1
  ;;
  *"/trueui/"*"build"*"Release"*)
  cd ../build*WebBrowser*Release* || exit 1
  ;;
  *"/trueui/"*"build"*"Debug"*)
  cd ../build*WebBrowser*Debug* || exit 1
  ;;
esac

echo "Starting browser from $PWD"
export QTWEBENGINE_CHROMIUM_FLAGS=--no-sandbox
exec ./WebBrowser "$@"
